ServerEvents.tags('item', event => {
    event.add('create:crushed_raw_materials', 'create:crushed_raw_gadolinite', 'create:crushed_raw_brookite')

    event.add('forge:nuts/acorn', [
        /oak_sapling$/,
        'traverse:brown_autumnal_sapling',
        'traverse:orange_autumnal_sapling',
        'traverse:red_autumnal_sapling'
    ])

    event.add('kubejs:valuable', [
        /_helmet$/,
        /_chestplate$/,
        /_leggings$/,
        /_boots$/,
        /^tetra:modular_/,
        /^tetra:scroll_/,
        /^tetra:pristine/,
        /^tetra:forged/,
        'hexcasting:scroll',
        'tetra:dragon_sinew',
        '#curios:body',
        '#curios:head',
        '#curios:charm',
        '#curios:ring',
        '#curios:belt',
        '#curios:necklace',
        '#curios:curio',
        '#botania:rods',
        '#forge:tools',
        /^botania:rune/,
        /^botania:brew/,
        /^botania:incense/,
        '#botania:special_flowers',
        'minecraft:enchanted_book',
        'alexscaves:jelly_bean',
        '@bundle-backportish',
        'minecraft:bundle',
        'supplementaries:sack',
        'quark:backpack',
        '#minecraft:shulker_box',
        'yttr:snare'
    ])
})

ServerEvents.recipes(event => {
    event.replaceInput(
        { id: 'powergrid:crafting/electromagnet' },
        'create:iron_sheet',
        '#yttr:substituted_neodymium'
        )

    event.replaceInput(
        { id: 'quark:oddities/crafting/magnet' },
        'minecraft:chorus_fruit',
        '#yttr:substituted_neodymium'
        )

    for(let p of [
        'chestplate',
        'boots',
        'leggings',
        'helmet'
    ]) {
        event.replaceOutput(
            { id: 'tetra:chainmail_' + p },
            'minecraft:chainmail_' + p,
            Item.of('minecraft:chainmail_' + p).enchant('minecraft:projectile_protection', 5)
        )
    }

    event.replaceInput(
        { id: 'quark:oddities/crafting/backpack' },
        'quark:ravager_hide',
        [
            'create:brass_ingot',
            'botania:manasteel_ingot',
            'minecraft:shulker_shell',
            'alexscaves:scarlet_neodymium_ingot'
        ]
    )

    event.shapeless('powergrid:magnet', [
        'alexscaves:scarlet_neodymium_ingot',
        'alexscaves:azure_neodymium_ingot'
    ])

    event.remove({ id: 'create:crafting/appliances/chain_from_zinc' })
    event.remove({ id: 'minecraft:bundle' })
})

ServerEvents.tags('item', tags => {
    tags.add('yttr:substituted_neodymium', [
        'alexscaves:scarlet_neodymium_ingot',
        'alexscaves:azure_neodymium_ingot'
    ])
})